mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

Tracking handlers are objects that implement the interface, indicating that they must be notified whenever the remoting infrastructure marshals, unmarshals, or disconnects an object or proxy. Every object that is registered with is called by remoting when an object or proxy in the current is marshaled, unmarshaled, or disconnected.

All methods in the class are static and operate on the tracking handlers in the current .

This class makes a link demand. A SecurityException is thrown if the immediate caller does not have infrastructure permission. See [<topic://cpconLinkDemands>] for more information.

Provides a way to register, unregister, and obtain a list of tracking handlers.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Creates an instance of .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Services.ITrackingHandler[] To be added: an object of type 'ITrackingHandler []' To be added

  Gets an array of the tracking handlers that are currently registered with in the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Registers a new tracking handler with the .

  The tracking handler to register.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Unregisters the specified tracking handler from .

  The handler to unregister.